/*
 * Copyright (c) 1999 Sun Microsystems, Inc.
 * Copyright (c) 1999 Nihon Sun Microsystems K.K.
 * All rights reserved.
 */

#ifndef _CSC_ENTRY_INTERNAL_H
#define _CSC_ENTRY_INTERNAL_H

/*
 * "$Id: csc_entry_internal.h,v 1.1.1.1 2000/10/29 16:45:23 himi Exp $"
 */

#pragma ident	"@(#)csc_entry_internal.h 1.12	99/05/26 SMI"

#ifdef	__cplusplus
extern "C" {
#endif


#include "csc_entry.h"

#define CSC_ENTRY_DECLARE(base)			\
	extern csc_open_t	base##_open;	\
	extern csc_conv_t	base##_conv;	\
	extern csc_close_t	base##_close;


CSC_ENTRY_DECLARE(nil)
CSC_ENTRY_DECLARE(wcs_mbs)
CSC_ENTRY_DECLARE(mbs_wcs)
CSC_ENTRY_DECLARE(icuconv_relay_wc_mb)
CSC_ENTRY_DECLARE(icuconv_relay_mb_wc)
CSC_ENTRY_DECLARE(icuconv_relay)

#if 0
CSC_ENTRY_DECLARE(big5_ct)
CSC_ENTRY_DECLARE(big5w_ct)
CSC_ENTRY_DECLARE(cns_ct)
CSC_ENTRY_DECLARE(cnsw_ct)
CSC_ENTRY_DECLARE(ct_big5)
CSC_ENTRY_DECLARE(ct_big5w)
CSC_ENTRY_DECLARE(ct_cns)
CSC_ENTRY_DECLARE(ct_cnsw)
CSC_ENTRY_DECLARE(ct_euc)
CSC_ENTRY_DECLARE(ct_eucw)
CSC_ENTRY_DECLARE(ct_pck)
CSC_ENTRY_DECLARE(ct_pckw)
CSC_ENTRY_DECLARE(ct_utf16)
CSC_ENTRY_DECLARE(ct_utf8)
CSC_ENTRY_DECLARE(ct_utf8w)
CSC_ENTRY_DECLARE(ctex_mbs)
CSC_ENTRY_DECLARE(ctex_wcs)
CSC_ENTRY_DECLARE(euc_ct)
CSC_ENTRY_DECLARE(eucw_ct)
CSC_ENTRY_DECLARE(iconv_relay)
CSC_ENTRY_DECLARE(iconv_relay_mb_wc)
CSC_ENTRY_DECLARE(iconv_relay_wc_mb)
CSC_ENTRY_DECLARE(mbs_ctex)
CSC_ENTRY_DECLARE(mbs_wcs)
CSC_ENTRY_DECLARE(nil)
CSC_ENTRY_DECLARE(pck_ct)
CSC_ENTRY_DECLARE(pckw_ct)
CSC_ENTRY_DECLARE(utf16_ct)
CSC_ENTRY_DECLARE(utf8_ct)
CSC_ENTRY_DECLARE(utf8w_ct)
CSC_ENTRY_DECLARE(wcs_ctex)
CSC_ENTRY_DECLARE(wcs_mbs)

CSC_ENTRY_DECLARE(iconv_relay)
CSC_ENTRY_DECLARE(iconv_relay_wc_mb)
CSC_ENTRY_DECLARE(iconv_relay_mb_wc)
/*  CSC_ENTRY_DECLARE(mbs_ct) */
/*  CSC_ENTRY_DECLARE(wcs_ct) */
CSC_ENTRY_DECLARE(utf16_ct)
/*  CSC_ENTRY_DECLARE(ct_mbs) */
/*  CSC_ENTRY_DECLARE(ct_wcs) */
CSC_ENTRY_DECLARE(ct_utf16)
CSC_ENTRY_DECLARE(wcs_utf16)
CSC_ENTRY_DECLARE(mbs_wcs)
CSC_ENTRY_DECLARE(wcs_mbs)
CSC_ENTRY_DECLARE(euc_ct)
CSC_ENTRY_DECLARE(eucw_ct)
CSC_ENTRY_DECLARE(mbs_ctex)
CSC_ENTRY_DECLARE(wcs_ctex)
CSC_ENTRY_DECLARE(pck_ct)
CSC_ENTRY_DECLARE(pckw_ct)
CSC_ENTRY_DECLARE(ct_euc)
CSC_ENTRY_DECLARE(ct_eucw)
CSC_ENTRY_DECLARE(ctex_mbs)
CSC_ENTRY_DECLARE(ctex_wcs)
CSC_ENTRY_DECLARE(ct_pck)
CSC_ENTRY_DECLARE(ct_pckw)
CSC_ENTRY_DECLARE(nil)
#endif /* 0 */

#ifdef	__cplusplus
}
#endif

#endif /* !_CSC_ENTRY_INTERNAL_H */
